Assign Lab Test Template Team
curl --request PUT \
--url https://api.management.junction.com/v1/org/{org_id}/lab_test_template/{env}/{region}/{template_id}/team/{team_id} \
--header 'X-Management-Key: <api-key>'import requests
url = "https://api.management.junction.com/v1/org/{org_id}/lab_test_template/{env}/{region}/{template_id}/team/{team_id}"
headers = {"X-Management-Key": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'X-Management-Key': '<api-key>'}};
fetch('https://api.management.junction.com/v1/org/{org_id}/lab_test_template/{env}/{region}/{template_id}/team/{team_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.management.junction.com/v1/org/{org_id}/lab_test_template/{env}/{region}/{template_id}/team/{team_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"X-Management-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.management.junction.com/v1/org/{org_id}/lab_test_template/{env}/{region}/{template_id}/team/{team_id}"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("X-Management-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.management.junction.com/v1/org/{org_id}/lab_test_template/{env}/{region}/{template_id}/team/{team_id}")
.header("X-Management-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.management.junction.com/v1/org/{org_id}/lab_test_template/{env}/{region}/{template_id}/team/{team_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Management-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lab_test_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_version": 123,
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managed_by_org_template": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Lab Test Templates
Assign Lab Test Template Team
Assign one team to a published lab test template without publishing pending draft changes.
PUT
/
v1
/
org
/
{org_id}
/
lab_test_template
/
{env}
/
{region}
/
{template_id}
/
team
/
{team_id}
Assign Lab Test Template Team
curl --request PUT \
--url https://api.management.junction.com/v1/org/{org_id}/lab_test_template/{env}/{region}/{template_id}/team/{team_id} \
--header 'X-Management-Key: <api-key>'import requests
url = "https://api.management.junction.com/v1/org/{org_id}/lab_test_template/{env}/{region}/{template_id}/team/{team_id}"
headers = {"X-Management-Key": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'X-Management-Key': '<api-key>'}};
fetch('https://api.management.junction.com/v1/org/{org_id}/lab_test_template/{env}/{region}/{template_id}/team/{team_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.management.junction.com/v1/org/{org_id}/lab_test_template/{env}/{region}/{template_id}/team/{team_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"X-Management-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.management.junction.com/v1/org/{org_id}/lab_test_template/{env}/{region}/{template_id}/team/{team_id}"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("X-Management-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.management.junction.com/v1/org/{org_id}/lab_test_template/{env}/{region}/{template_id}/team/{team_id}")
.header("X-Management-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.management.junction.com/v1/org/{org_id}/lab_test_template/{env}/{region}/{template_id}/team/{team_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Management-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lab_test_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_version": 123,
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managed_by_org_template": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Junction Management API is available for the Scale plan.
The base URL of this endpoint is
https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.Path Parameters
Was this page helpful?